unit Unit1;

interface

uses
  Windows, Forms,ImgList, Controls, dWinlock, Menus, Buttons, StdCtrls, Classes,
  ExtCtrls, Dialogs;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    cDisableCTRL_ALT_DEL: TCheckBox;
    cDisableALT_TAB: TCheckBox;
    cDisableALT_ESC: TCheckBox;
    cDisableCTRL_ESC: TCheckBox;
    cDisableWinKeys: TCheckBox;
    bCancel: TButton;
    cDisableTaskbar: TCheckBox;
    cDisableDesktop: TCheckBox;
    cDisableStartButton: TCheckBox;
    cDisableSysTray: TCheckBox;
    cDisableMouse: TCheckBox;
    PopupMenu1: TPopupMenu;
    File1: TMenuItem;
    Exit1: TMenuItem;
    asdas1: TMenuItem;
    asda1: TMenuItem;
    N1: TMenuItem;
    cDisableAppKey: TCheckBox;
    Panel2: TPanel;
    Label1: TLabel;
    cReplaceStartB: TCheckBox;
    cDisableTaskLinks: TCheckBox;
    WinLock: TdWinLock;
    ImageList1: TImageList;
    bUninstall: TButton;
    cDisableAltF4: TCheckBox;
    procedure cDisableTaskbarClick(Sender: TObject);
    procedure cDisableDesktopClick(Sender: TObject);
    procedure cDisableStartButtonClick(Sender: TObject);
    procedure cDisableSysTrayClick(Sender: TObject);
    procedure cDisableMouseClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure cDisableALT_TABClick(Sender: TObject);
    procedure cDisableALT_ESCClick(Sender: TObject);
    procedure cDisableCTRL_ESCClick(Sender: TObject);
    procedure cDisableWinKeysClick(Sender: TObject);
    procedure cDisableAppKeyClick(Sender: TObject);
    procedure bCancelClick(Sender: TObject);
    procedure cDisableCTRL_ALT_DELClick(Sender: TObject);
    procedure cDisableTaskLinksClick(Sender: TObject);
    procedure cReplaceStartBClick(Sender: TObject);
    procedure bUninstallClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure cDisableAltF4Click(Sender: TObject);
  private
    wasShown : boolean;
    procedure ShowInfo;
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


function IsNTSystem: boolean;
var VersionInfo: TOSVersionInfo;
begin
  VersionInfo.dwOSVersionInfoSize:=sizeof(versioninfo);
  Getversionex(versioninfo);
  result:=(versioninfo.dwplatformid = VER_PLATFORM_WIN32_NT);
end;

procedure TForm1.ShowInfo;
begin
  if wasShown then exit;
  wasShown := true;
  if not isNtSystem then
     showMessage('You don''t have a Windows NT or XP system!'+#10#13+#10#13+
                 'dWinlock component is designed for Windows NT and XP.'+#10#13+
                 'But it also works under Windows 95,98,ME.'+#10#13+
                 'The only restriction is, if you disable'+#10#13+
                 'Ctrl+Alt+Del, Alt+Tab or Alt+Esc'+#10#13+
                 'you also disable following keys:'+#10#13+
                 'Ctrl+Alt+Del, Alt+Tab, Alt+Esc, Ctrl+Esc and Winkeys');
end;


procedure TForm1.Exit1Click(Sender: TObject);
begin
 Close;
end;

procedure TForm1.cReplaceStartBClick(Sender: TObject);
begin
  WinLock.ReplaceStartmenu := cReplaceStartB.Checked;
end;

procedure TForm1.cDisableALT_TABClick(Sender: TObject);
begin
  Winlock.noAltTab := cDisableALT_TAB.Checked;
  ShowInfo;
end;

procedure TForm1.cDisableALT_ESCClick(Sender: TObject);
begin
  Winlock.noAltEsc := cDisableALT_ESC.Checked;
  ShowInfo;
end;

procedure TForm1.cDisableCTRL_ESCClick(Sender: TObject);
begin
  Winlock.noCtrlEsc := cDisableCTRL_ESC.Checked;
end;

procedure TForm1.cDisableWinKeysClick(Sender: TObject);
begin
  Winlock.noWINKEYS := cDisableWinKeys.Checked;
end;

procedure TForm1.cDisableMouseClick(Sender: TObject);
begin
  Winlock.noRBUTTON := cDisableMouse.checked;
end;

procedure TForm1.cDisableAppKeyClick(Sender: TObject);
begin
  Winlock.noAPPKEY := cDisableAppKey.Checked;
end;

procedure TForm1.cDisableAltF4Click(Sender: TObject);
begin
  Winlock.noAltF4 := cDisableAltF4.Checked;
end;


procedure TForm1.cDisableCTRL_ALT_DELClick(Sender: TObject);
begin
  Winlock.noCtrlAltDel := cDisableCTRL_ALT_DEL.Checked;
  cDisableCTRL_ALT_DEL.Checked := Winlock.noCtrlAltDel;
  bUninstall.Visible := Winlock.IsdGinaInstalled;
  ShowInfo;
end;

procedure TForm1.cDisableTaskbarClick(Sender: TObject);
begin
  Winlock.noTASKBAR := cDisableTaskbar.Checked;
end;

procedure TForm1.cDisableDesktopClick(Sender: TObject);
begin
  Winlock.noDESKTOP := cDisableDesktop.Checked;
end;

procedure TForm1.cDisableStartButtonClick(Sender: TObject);
begin
 Winlock.noSTARTBUTTON := cDisableStartButton.Checked;
end;

procedure TForm1.cDisableSysTrayClick(Sender: TObject);
begin
  Winlock.noTaskTray := cDisableSysTray.Checked;
end;

procedure TForm1.cDisableTaskLinksClick(Sender: TObject);
begin
 Winlock.noTaskLINKS := cDisableTaskLinks.Checked;
end;

procedure TForm1.bCancelClick(Sender: TObject);
begin
  close;
end;

procedure TForm1.bUninstallClick(Sender: TObject);
begin
 if  Winlock.UnInstalldGina then
   bUninstall.Visible := false;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
   wasShown := false;
   bUninstall.Visible := Winlock.IsdGinaInstalled;
end;


end.



